# coding=utf-8
# encoding='utf-8'
import requests
import os
from lxml import etree
from fake_useragent import UserAgent
import time


class wallhaven(object):
    def __init__(self):
        self.url = "https://bz.donglaihui.com/page/{}/"
        ua = UserAgent(verify_ssl=False)
        for i in range(1, 50):
            self.headers = {
                'User-Agent': ua.random,
            }
        # print(self.headers)

    '''发送请求  获取响应'''

    def get_page(self, url):
        res = requests.get(url=url, headers=self.headers)
        html = res.content.decode("utf-8")
        return html
        '''解析数据'''

    def parse_page(self, html):
        parse_html = etree.HTML(html)
        image_src_list = parse_html.xpath('//div[@class="entry-content"]//img/@src')
        for filename in image_src_list:
            dirname = "/www/wwwroot/file_alonesky_com/plugin/mkwallpaper/wallpaper/jianbi/" + filename[53:]
            if os.access(dirname, os.F_OK):
                print("%s已存在" % dirname)
            else:
                imgcon = requests.get(url=filename, headers=self.headers).content
                with open(dirname, 'wb') as f:
                    f.write(imgcon)
                print("%s下载成功" % dirname)
    def main(self):
        startPage = 1
        endPage = 881
        for page in range(startPage, endPage + 1):
            url = self.url.format(page)
            html = self.get_page(url)
            self.parse_page(html)
            time.sleep(1.4)
            print("第%s页爬取成功！！！！" % page)

if __name__ == '__main__':
    imageSpider = wallhaven()
    imageSpider.main()
